
Redmine - Defect #8549

Export CSV has character encoding error

2011-06-07 10:16 - Steven Wong

Status: Closed Start date: 2011-06-07

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed Affected version:  

Description

1. login and issues tab

2. when the ui language is English ,export the Chinese encoding issues, the CSV file is Malformed.just like this:

1. Status    椤圭洰    璺熻釜

宸插叧闂?涓婃捣绉诲姩璁￠噺鑰冩牳绯荤粺    Bug    绔嬪嵆淇

Related issues:

Related to Redmine - Defect #7096: CSV Issues Export + Ruby 1.9 + Thin + non-... Closed 2010-12-11

Has duplicate Redmine - Defect #6621: Multibyte symbols are wrongly displayed... Closed 2010-10-11

Associated revisions

Revision 7811 - 2011-11-15 07:06 - Toshi MARUYAMA

add functional test to export time entry report csv encoded in Big5 on Traditional Chinese locale (#8549)

Revision 7812 - 2011-11-15 11:06 - Toshi MARUYAMA

add functional test to export time log csv encoded in Big5 on Traditional Chinese locale (#8549)

Revision 7818 - 2011-11-16 06:07 - Toshi MARUYAMA

move iconv from utf8 logic from pdf to lib/redmine/codeset_util.rb for common use (#8549)

Revision 7819 - 2011-11-16 09:10 - Toshi MARUYAMA

fix malformed time log csv encoding in case of unable to convert (#8549)

Revision 7820 - 2011-11-16 09:29 - Toshi MARUYAMA

fix malformed time entry report csv encoding in case of unable to convert (#8549)

Revision 7821 - 2011-11-16 14:49 - Toshi MARUYAMA

add functional test to export issue csv encoded in Big5 on Traditional Chinese locale (#8549)

Revision 7822 - 2011-11-16 16:36 - Toshi MARUYAMA

fix malformed issues csv encoding in case of unable to convert (#8549)

Revision 7947 - 2011-11-27 11:53 - Toshi MARUYAMA

fix time entry csv last line encoding (#8549)

History

#1 - 2011-06-07 10:36 - Toshi MARUYAMA

- Target version set to 1.3.0

#2 - 2011-06-07 10:36 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#3 - 2011-06-07 10:38 - Toshi MARUYAMA

- Category set to Issues
#4 - 2011-06-07 10:44 - Toshi MARUYAMA

source:trunk/config/locales/en.yml@5999#L140

general_csv_encoding: ISO-8859-1

You can see Chinese characters in Chinese locale.

I will replace invalid characters to '?' like PDF in 1.3.

#5 - 2011-06-07 10:49 - Toshi MARUYAMA

- Subject changed from Export CSV hase character error to Export CSV has character error

#6 - 2011-07-18 18:54 - François Trahan

Just a little remark : The encoding used for CSV export is dependent on the user interface choice. Unfortunately, because I work with an English

interface doesn't mean that every comment is going to be in English.

Here, we had to replace pretty much every local's yml file to specify UTF-8 for csv export encoding.

On the same basis, exporting french comments with ISO-8859-1 yields bad characters, making this a poor encoding choice for the french locale...

#7 - 2011-11-17 03:57 - Toshi MARUYAMA

- % Done changed from 0 to 100

#8 - 2011-11-27 13:19 - Toshi MARUYAMA

- Subject changed from Export CSV has character error to Export CSV has character encoding error

#9 - 2011-11-29 23:33 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Committed in r7947.
